[ANNOUNCE] VDR Extensions Patch v.54

  • Hallo Gerd,


    bei mir klappt das mit den Befehlen. Hast du eventuell vergessen das Setup-Plugin mit setup-0.3.1-livebuffer.diff zu patchen?


    Gruß
    Marc

  • Denke nicht, da er meine Sourcen benutzt! ;)


    Ich werde die Probleme bei mir mal nachstellen, weiß nur noch nicht wann.... ;)

    Registrierter VDR-User #1275


    VDR-Server: Proxmox 5.4 - LXC Container - Debian 9.11 - eTobi-VDR 2.4.1

  • Hallo Michael,



    ich habe den VDR mal mit deiner Menu.config (plus SETUP) kompiliert. Damit wird der laufenden Event im Programm-Menü und der Suche angezeigt.


    Gruß
    Marc

  • Hallo,


    erstmal auch von mir ein Dankeschön für Deine Arbeit.
    Ich habe allerdings ein Problem, wobei ich mir allerdings nicht sicher bin, woran es liegt.
    Wenn ich Deinen Patch anwende und mir die Aufzeichnungen im extrecmenu-Plugin anschaue, dann stimmen die angezeigten Zeiten alle nicht. Meist ist es der 01.01.70, allerdings nicht immer.
    Ohne dem Patch ging es bisher prima.


    Ich habe folgende Konfig:

    VDR-Version ist 1.4.6


    Kann es sein, dass ich einen falschen Patch eingebaut habe, bzw. einen vergessen habe? Ändert einer das Übergabeformat der Startzeit?


    Danke und viele Grüße,
    Wolfi

  • Hallo Wolfi,


    ich benutze das extrecmenu selber und da passt das Datum der Aufnahmen.
    Der einzige Patch der an den Startzeiten was ändert ist CUTTIME. Allerdings auch nur beim Schneiden der Aufnahmen.


    Wird denn im "normalen" Menü alles korrekt angezeigt oder ist es da auch falsch?


    Gruß
    Marc

  • Hallo zulu,


    im "normalen" Menü wird alles richtig angezeigt.
    Wenn ich mir Infos anzeigen lasse, dann zeigt er mir auch das richtige an, wenn er die Infoanzeige vom VDR hernimmt und bringt diese seltsamen Zeiten, wenn die Infos vom extrecmenu selber angezeigt werden ...


    Und den CUTTIME hab ich ja nicht drinnen.


    Meinst Du es ist dann eher ein Problem mit dem extrecmenu? Allerdings hat es mit VDR 1.4.3 ohne dem Extension-Patch prima geklappt.


    Danke für Deine Hilfe,
    Wolfi

  • Quote

    Original von zulu
    Hallo Gerd,


    bei mir klappt das mit den Befehlen. Hast du eventuell vergessen das Setup-Plugin mit setup-0.3.1-livebuffer.diff zu patchen?


    Gruß
    Marc



    Hallo Marc


    Das werde ich mal Testen und melde mich dann.
    Danke für deine Antwort.


    Gruß Gerd

  • Hallo Marc und Toxic-Tonic


    Ich habe meinen Fehler gefunden.


    Ich mußte nur meine Setup.conf löschen und neu Einstellen, danach hat alles gefunzt (Pin-Plugin, WarEagleIcons).


    Danke nochmal für eure tolle Arbeit und ein schönes Wochenende.


    Gruß Gerd

  • Hallo Wolfi,


    Quote

    Meinst Du es ist dann eher ein Problem mit dem extrecmenu? Allerdings hat es mit VDR 1.4.3 ohne dem Extension-Patch prima geklappt.


    Da es bei mir mit Extensions-Patch und extrecmenu-0.13 korrekt angezeigt wird und sonst auch noch keiner von dem Problem berichtet hat, weiss ich leider nicht woran es liegen könnte. Welche Version des extrecmenu benutzt du denn?


    Gruß
    Marc

  • Hallo,


    von 22 auf 23 habe ich jetzt noch kein diff zum updaten beigelegt, da ich eigendlich nur die Hunks behoben habe und sich sonst nichts geändert hat.
    In Zukunft werde ich das aber machen.


    Die wesendlichen Änderungen gab für vdr-1.5.1_extensions.diff und vdr-1.4.6_ext23_livebuffer-test1.diff.
    Beide Versionen des Patches sind nur kurz getestet worden. Hinweise aller Art erwünscht :)


    Gruß
    Marc

  • Hallo,


    für mutige habe ich jetzt noch einen Patch zum Updaten von vdr-1.4.6_ext22 auf vdr-1.4.6_ext23-lb-test1 dazu gepackt.


    Gruß
    Marc

  • Hi,


    also erstmal, Klasse arbeit.


    Nur die Vorghensweise mit dem Setup Plugin hab ich noch nicht durchschaut.


    VDR 1.4.6


    auf VDR den Patch "vdr-1.4.6_extensions.diff"
    auf das Setup Plugin "setup-0.3.1-livebuffer.diff"


    Setup = 1 in der VDR Config.


    Allerdings bekomme ich beim Start des VDR beim Setup Plugin folgenden Fehler "user.err vdr: [5068] ERROR: /usr/lib/vdr/plugins/libvdr-setup.so.1.4.5: undefined symbol: __20cMenuSetupLiveBuffer"


    Der LiveBuffer Patch ist NICHT drin.


    Irgendwelche Ideen?

    HD DVB-C System / Ubuntu 14.04 x64 / Kernel 3.13.0-48 x64; VDR 2.2.x; VDRadmin 3.6.10 / ACPI Wakeup

    SoftHD-Device GIT / Vdpau / Nvidia 337.25

    ASUS AT5IONT-I; Atom D525; 4GB; Nvidia GT218; 1x DD Cine C/T v6; 1x DD DuoFlex C/T v2; (20~40 Watt)

    The post was edited 1 time, last by Scorp ().

  • Hallo,


    wenn MAINMENUHOOKS in der Make.config aktiviert ist, wird dafür REPLACEMENUS abgeschaltet.
    Wenn die Plugins dann auf die neue Variante umgestiegen sind, entferne ich REPLACEMENUS aus dem Extensions Patch.


    Gruß
    Marc

  • Hi Zulu,


    ich habe alle *.o und das .so file manuell gelöscht.
    Ich mache aber auch noch mal ein make clean.


    OK, mein Fehler. Nach make clean funktioniert es. Danke.

    HD DVB-C System / Ubuntu 14.04 x64 / Kernel 3.13.0-48 x64; VDR 2.2.x; VDRadmin 3.6.10 / ACPI Wakeup

    SoftHD-Device GIT / Vdpau / Nvidia 337.25

    ASUS AT5IONT-I; Atom D525; 4GB; Nvidia GT218; 1x DD Cine C/T v6; 1x DD DuoFlex C/T v2; (20~40 Watt)

    The post was edited 1 time, last by Scorp ().

  • Moin,


    ich habe vorhin mal versucht vdr-1.5.1 mit dem graphTFT-Plugin zum Laufen zu überreden. Nachdem ich deinen Patch angewand habe, bekomme ich aber folgenden Fehler:


    Code
    1. make[1]: Entering directory `/usr/src/vdr-1.5.1/PLUGINS/src/graphtft-0.0.16'
    2. g++ -g -O2 -Wall -Woverloaded-virtual -fPIC -g -ggdb -O0 -c -DUSE_DOLBYINREC -DUSE_GRAPHTFT -DUSE_JUMPPLAY -DUSE_NOEPG -DUSE_OSDMAXITEMS -DUSE_PINPLUGIN -DUSE_REPLACEMENUS -DUSE_YAEPG -D_GNU_SOURCE -DPLUGIN_NAME_I18N='"graphtft"' -DHAVE_IMAGE_MAGICK -DHAVE_IMLIB -DHAVE_SOFTMPEG -I../../../../DVB/include -I../../../include -I../../../../DVB/include -I. -I./imlibrenderer -I./imlibrenderer/fbrenderer -I./imlibrenderer/dvbrenderer -I./dfbrenderer -I./imlibrenderer/dmyrenderer -I/src -I/usr/include/ffmpeg -o transfer.o transfer.c
    3. transfer.c: In constructor 'cGraphTFTTransfer::cGraphTFTTransfer(Renderer*, const cChannel*)':
    4. transfer.c:22: error: no matching function for call to 'cReceiver::cReceiver(int, int, int, const int*, const int*)'
    5. ../../../include/vdr/receiver.h:41: note: candidates are: cReceiver::cReceiver(tChannelID, int, int, const int*, const int*, const int*)
    6. ../../../include/vdr/receiver.h:17: note: cReceiver::cReceiver(const cReceiver&)
    7. make[1]: *** [transfer.o] Fehler 1


    Es war ein plain-vdr und der Patch ist ohne Fehler durchgegangen. graphtft habe ich in der Make.config aktiviert.


    Scheint ja der Konstruktor geändert worden zu sein. Jemand eine Idee, wie ich das bereinigen kann?


    Gruß,


    Matthias

  • Quote

    Original von zulu
    Hallo,


    wenn MAINMENUHOOKS in der Make.config aktiviert ist, wird dafür REPLACEMENUS abgeschaltet.
    Wenn die Plugins dann auf die neue Variante umgestiegen sind, entferne ich REPLACEMENUS aus dem Extensions Patch.


    Gruß
    Marc


    Danke dir!
    Werd's mal testen!

  • hatt evtl. jemand eine lösung für mein problemchen...


    ERROR: /vdr/plugins/libvdr-vcd.so.1.4.5: undefined symbol: _ZN8cControl7ControlEv


    ich nutze den vdr 1.4.6 und den vdr-1.4.6_ext23_livebuffer-test1.diff.
    leider will das vcd plugin nicht mehr laufen.


    gruß
    micha